Skip to main content
POST
/
clips
/
{clipId}
/
create-draft
Create a post draft from clip
curl --request POST \
  --url https://app.autoposting.ai/api-proxy/clips/{clipId}/create-draft \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobId": "job_01HXYZ",
  "brandSlug": "acme-corp"
}
'
{
  "success": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Path Parameters

clipId
string
required

Body

application/json
jobId
string
required

Render job ID.

Example:

"job_01HXYZ"

brandSlug
string
required

Brand to create the draft for.

Example:

"acme-corp"

Response

Post draft created.

Standard success response envelope.

success
boolean
Example:

true

data
object